<?php
    /**
    * @author rn4j1m1
    * @copyright 2010
    */
    # Required File Includes
    include("../../../dbconnect.php");
    include("../../../includes/functions.php");
    include("../../../includes/gatewayfunctions.php");
    include("../../../includes/invoicefunctions.php");
	include("../../../includes/nusoap/nusoap.php");

    $gatewaymodule = "zarinpal"; # Enter your gateway module name here replacing template

    $GATEWAY = getGatewayVariables($gatewaymodule);
    if (!$GATEWAY["type"]) die("Module Not Activated"); # Checks gateway module is active before accepting callback

    # Get Returned Variables - Adjust for Post Variable Names from your Gateway's Documentation
    $invoiceid = $_GET['invoiceid'];
    $transid = $_GET['refID'];
    $amount = $_GET['amount'];
    $au = $_GET['au'];

    $invoiceid = checkCbInvoiceID($invoiceid,$GATEWAY["name"]); # Checks invoice ID is a valid invoice number or ends processing

    checkCbTransID($transid); # Checks transaction number isn't already in the database and ends processing if it does
    $zpamount = $amount;
    if($GATEWAY['afp']=='on')             $zpamount = $zpamount/0.975;
    $client = new nusoap_client('http://www.zarinpal.com/WebserviceGateway/wsdl', 'wsdl');
	$res = $client->call('PaymentVerification', array($GATEWAY['merchantID'], $au, $zpamount));
    
    if($GATEWAY['Currencies']=='Rial')    $amount = $amount*10;
    $fee = $amount;
    
    if ($res=="1") {
        addInvoicePayment($invoiceid,$transid,$amount,$fee,$gatewaymodule); # Apply Payment to Invoice: invoiceid, transactionid, amount paid, fees, modulename
        logTransaction($GATEWAY["name"],$_POST,"Successful"); # Save to Gateway Log: name, data array, status
    } else {
        logTransaction($GATEWAY["name"],$_POST,"Unsuccessful"); # Save to Gateway Log: name, data array, status
    }
    Header('Location: '.$CONFIG['SystemURL'].'/clientarea.php?action=invoices');
    
?>